Website Hosting - Bug #342

SQL Inconsistency Causing Magento To Fail Loading
02/26/2014 12:04 PM - Daniel Curtis

Status: Closed Start date: 02/26/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 0.50 hour
Description

| encountered a problem where the parts mirror site would not load correctly. | checked the log file and found the following error:

a:5:{i:0;s:117:"SQLSTATE[HYO000]: General error: 145 Table "./exampledb/log_visitor_info' is marked as crashed and should be
repaired”;i:1;s:3131:"#0 /var/www/user/web/lib/Varien/Db/Statement/Pdo/Mysql.php(110):
Zend_Db_Statement_Pdo->_execute(Array)

After looking through a Magento forum, | found a fix. First log into the database server:

ssh root@db.example.com

Then change to the physical folder of the problem database:

cd /var/lib/mysqgl/exampledb

Then run myisamchk:

myisamchk -r *.MYI

This will fix any problems to the MySQL index. | restarted the database to be on the safe side:

service mysqgl restart

History

#1 - 02/27/2014 11:04 AM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 05/09/2015 12:21 PM - Daniel Curtis
- Project changed from 6 to Website Hosting
